# This file created by conda-build 2.1.17
# meta.yaml template originally from:
# C:\projects\r-rerddap-feedstock\recipe, last modified Wed Nov 08 11:11:14 2017
# ------------------------------------------------

package:
    name: r-rerddap
    version: 0.4.2
source:
    fn: rerddap-0.4.2.tar.gz
    sha256: 89887d7f8cb16484ade92ac104e8106d9fd73ac24d45e5a1b1d8122b2576c54a
    url:
        - https://cran.r-project.org/src/contrib/rerddap_0.4.2.tar.gz
        - https://cran.r-project.org/src/contrib/Archive/rerddap/rerddap_0.4.2.tar.gz
build:
    noarch: ''
    noarch_python: false
    number: '0'
    rpaths:
        - lib/R/lib/
        - lib/
    script: R CMD INSTALL --build .
    string: r3.4.1_0
requirements:
    build:
        - m2w64-mpfr 3.1.4 4
        - r-xml2 1.1.1 r3.4.1_0
        - r-bh 1.62.0_1 r3.4.1_0
        - r-jsonlite 1.4 r3.4.1_0
        - msys2-conda-epoch 20160418 1
        - krb5 1.14.2 vc14_0
        - ca-certificates 2017.7.27.1 0
        - r-data.table 1.10.4 r3.4.1_0
        - r-plogr 0.1_1 r3.4.1_0
        - m2w64-libtiff 4.0.6 2
        - vc 14 0
        - zlib 1.2.11 vc14_0
        - m2w64-xz 5.2.2 2
        - r-hoardr 0.2.0 r3.4.1_0
        - r-ncdf4 1.16 r3.4.1_0
        - openssl 1.0.2l vc14_0
        - hdf5 1.8.18 vc14_2
        - m2w64-bzip2 1.0.6 6
        - m2w64-tcl 8.6.5 3
        - r-r6 2.2.0 r3.4.1_0
        - r-curl 2.4 r3.4.1_0
        - r-rappdirs 0.3.1 r3.4.1_0
        - hdf4 4.2.13 vc14_0
        - r-pkgconfig 2.0.1 r3.4.1_0
        - m2w64-libiconv 1.14 6
        - r-assertthat 0.1 r3.4.1_0
        - r-digest 0.6.12 r3.4.1_0
        - jpeg 9b vc14_2
        - m2w64-tk 8.6.5 3
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-flac 1.3.1 3
        - r-base 3.4.1 1
        - r-bindrcpp 0.2 r3.4.1_0
        - vs2015_runtime 14.0.25420 0
        - curl 7.55.1 vc14_0
        - m2w64-bwidget 1.9.10 2
        - m2w64-zlib 1.2.8 10
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gsl 2.1 2
        - m2w64-libxml2 2.9.3 4
        - r-bindr 0.1 r3.4.1_0
        - libssh2 1.8.0 vc14_2
        - r-tibble 1.3.3 r3.4.1_0
        - r-glue 1.1.1 r3.4.1_0
        - m2w64-gcc-libgfortran 5.3.0 6
        - r-openssl 0.9.7 r3.4.1_0
        - libnetcdf 4.4.1.1 vc14_9
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-wineditline 2.101 5
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-libogg 1.3.2 3
        - m2w64-speex 1.2rc2 3
        - m2w64-pcre 8.38 2
        - m2w64-expat 2.1.1 2
        - r-dplyr 0.7.0 r3.4.1_0
        - m2w64-libvorbis 1.3.5 2
        - m2w64-fftw 3.3.4 6
        - r-rlang 0.1.2 r3.4.1_0
        - r-rcpp 0.12.13 r3.4.1_0
        - r-httr 1.3.1 r342h3d373e7_0
        - m2w64-tktable 2.10 5
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libpng 1.6.21 2
        - r-magrittr 1.5 r3.4.1_0
        - r-mime 0.5 r3.4.1_0
    run:
        - r-base
        - r-httr >=1.2.1
        - r-dplyr >=0.5.0
        - r-data.table >=1.10.0
        - r-jsonlite >=1.2
        - r-xml2 >=1.1.0
        - r-digest
        - r-ncdf4 >=1.15
        - r-tibble
        - r-hoardr >=0.2.0
test:
    commands:
        - R -e \"library('rerddap')\"
about:
    home: https://github.com/ropensci/rerddap
    license: MIT
    license_file: LICENSE
    summary: 'General purpose R client for ''ERDDAP'' servers. Includes functions
        to search for ''datasets'', get summary information on ''datasets'', and fetch
        ''datasets'', in either ''csv'' or ''netCDF'' format. ''ERDDAP'' information:
        http://upwell.pfeg.noaa.gov/erddap/information.html.'
extra:
    final: true
    recipe-maintainers:
        - ocefpaf
